Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.framework
Interface XMLDocumentHandler.DTDHandler

All Known Implementing Classes:
  XMLParser, SAXParser

Enclosing class:
  XMLDocumentHandler

public static interface XMLDocumentHandler.DTDHandler

Method Summary
`void` | `attlistDecl(org.apache.xerces.utils.QName elementDecl, org.apache.xerces.utils.QName attributeDecl, int attType, boolean attList, java.lang.String enumString, int attDefaultType, int attDefaultValue)` callback for an attribute list declaration.
`void` | `comment(int dataIndex)` Callback for comment in DTD.
`void` | `elementDecl(org.apache.xerces.utils.QName elementDecl, int contentSpecType, int contentSpecIndex, XMLContentSpec.Provider contentSpecProvider)` callback for an element declaration.
`void` | `endDTD()` callback for the end of the DTD This function will be called at the end of the DTD.
`void` | `externalEntityDecl(int entityName, int publicId, int systemId)` callback for external general entity declaration.
`void` | `externalPEDecl(int entityName, int publicId, int systemId)` callback for an external parameter entity declaration.
`void` | `internalEntityDecl(int entityName, int entityValue)` callback for internal general entity declaration.
`void` | `internalPEDecl(int entityName, int entityValue)` callback for an internal parameter entity declaration.
`void` | `internalSubset(int internalSubset)` Supports DOM Level 2 internalSubset additions.
`void` | `notationDecl(int notationName, int publicId, int systemId)` callback for a notation declaration.
`void` | `processingInstruction(int targetIndex, int dataIndex)` Callback for processing instruction in DTD.
`void` | `startDTD(org.apache.xerces.utils.QName rootElement, int publicId, int systemId)` callback for the start of the DTD This function will be called when a <!DOCTYPE...> declaration is encountered.
`void` | `textDecl(int version, int encoding)` Signal the Text declaration of an external entity.
`void` | `unparsedEntityDecl(int entityName, int publicId, int systemId, int notationName)` callback for an unparsed entity declaration.

Method Detail

### startDTD

    public void startDTD(org.apache.xerces.utils.QName rootElement,
                         int publicId,
                         int systemId)
                  throws java.lang.Exception

  callback for the start of the DTD This function will be called when a <!DOCTYPE...> declaration is encountered.
  Parameters:
    `rootElementType` - element handle for the root element of the document
    `publicId` - string pool index of the DTD's public ID
    `systemId` - string pool index of the DTD's system ID
  Throws:
    `java.lang.Exception` -

### internalSubset

    public void internalSubset(int internalSubset)
                        throws java.lang.Exception

  Supports DOM Level 2 internalSubset additions. Called when the internal subset is completely scanned.

### textDecl

    public void textDecl(int version,
                         int encoding)
                  throws java.lang.Exception

  Signal the Text declaration of an external entity.
  Throws:
    `java.lang.Exception` -

### endDTD

    public void endDTD()
                throws java.lang.Exception

  callback for the end of the DTD This function will be called at the end of the DTD.

### elementDecl

    public void elementDecl(org.apache.xerces.utils.QName elementDecl,
                            int contentSpecType,
                            int contentSpecIndex,
                            XMLContentSpec.Provider contentSpecProvider)
                     throws java.lang.Exception

  callback for an element declaration.
  Parameters:
    `elementType` - element handle of the element being declared
    `contentSpec` - contentSpec for the element being declared
  Throws:
    `java.lang.Exception` -
  See Also:
    `XMLContentSpec`

### attlistDecl

    public void attlistDecl(org.apache.xerces.utils.QName elementDecl,
                            org.apache.xerces.utils.QName attributeDecl,
                            int attType,
                            boolean attList,
                            java.lang.String enumString,
                            int attDefaultType,
                            int attDefaultValue)
                     throws java.lang.Exception

  callback for an attribute list declaration.
  Parameters:
    `elementType` - element handle for the attribute's element
    `attrName` - string pool index of the attribute name
    `attType` - type of attribute
    `enumString` - String representing the values of the enumeration, if the attribute is of enumerated type, or null if it is not.
    `attDefaultType` - an integer value denoting the DefaultDecl value
    `attDefaultValue` - string pool index of this attribute's default value or -1 if there is no defaultvalue
  Throws:
    `java.lang.Exception` -

### internalPEDecl

    public void internalPEDecl(int entityName,
                               int entityValue)
                        throws java.lang.Exception

  callback for an internal parameter entity declaration.
  Parameters:
    `entityName` - string pool index of the entity name
    `entityValue` - string pool index of the entity replacement text
  Throws:
    `java.lang.Exception` -

### externalPEDecl

    public void externalPEDecl(int entityName,
                               int publicId,
                               int systemId)
                        throws java.lang.Exception

  callback for an external parameter entity declaration.
  Parameters:
    `entityName` - string pool index of the entity name
    `publicId` - string pool index of the entity's public id.
    `systemId` - string pool index of the entity's system id.
  Throws:
    `java.lang.Exception` -

### internalEntityDecl

    public void internalEntityDecl(int entityName,
                                   int entityValue)
                            throws java.lang.Exception

  callback for internal general entity declaration.
  Parameters:
    `entityName` - string pool index of the entity name
    `entityValue` - string pool index of the entity replacement text
  Throws:
    `java.lang.Exception` -

### externalEntityDecl

    public void externalEntityDecl(int entityName,
                                   int publicId,
                                   int systemId)
                            throws java.lang.Exception

  callback for external general entity declaration.
  Parameters:
    `entityName` - string pool index of the entity name
    `publicId` - string pool index of the entity's public id.
    `systemId` - string pool index of the entity's system id.
  Throws:
    `java.lang.Exception` -

### unparsedEntityDecl

    public void unparsedEntityDecl(int entityName,
                                   int publicId,
                                   int systemId,
                                   int notationName)
                            throws java.lang.Exception

  callback for an unparsed entity declaration.
  Parameters:
    `entityName` - string pool index of the entity name
    `publicId` - string pool index of the entity's public id.
    `systemId` - string pool index of the entity's system id.
    `notationName` - string pool index of the notation name.
  Throws:
    `java.lang.Exception` -

### notationDecl

    public void notationDecl(int notationName,
                             int publicId,
                             int systemId)
                      throws java.lang.Exception

  callback for a notation declaration.
  Parameters:
    `notationName` - string pool index of the notation name
    `publicId` - string pool index of the notation's public id.
    `systemId` - string pool index of the notation's system id.
  Throws:
    `java.lang.Exception` -

### processingInstruction

    public void processingInstruction(int targetIndex,
                                      int dataIndex)
                               throws java.lang.Exception

  Callback for processing instruction in DTD.
  Parameters:
    `target` - the string pool index of the PI's target
    `data` - the string pool index of the PI's data
  Throws:
    `java.lang.Exception` -

### comment

    public void comment(int dataIndex)
                 throws java.lang.Exception

  Callback for comment in DTD.
  Parameters:
    `comment` - the string pool index of the comment text
  Throws:
    `java.lang.Exception` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD